Bug 966744 - git-push to an idled app won't start the app. in PROD.
git-push to an idled app won't start the app. in PROD.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Jhon Honce
libra bugs
: SupportQuestion
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 16:22 EDT by Peter Ruan
Modified: 2015-05-14 19:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:09:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-05-23 16:22:08 EDT
Description of problem:
git-push to an idled app won't start the app. in PROD.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. wait for the app to become idle or force it to be idled.
2. clone the app, modify and do git-push
  (you can use https://sandbox-servicespace.rhcloud.com/ as an example) pruan+1@redhat.com/vostok08



Actual results:
Service Temporarily Unavailable



Expected results:
app able to start.

Additional info:
Comment 1 Andy Grimm 2013-05-23 19:00:47 EDT
To be a little more precise, the app won't "unidle" at all.  ssh'ing in, hitting the url, and running admin-ctl-gear unidle <uuid> all fail to start the app.  only an "rhc app start" works.

It may also be meaningful that this app is fairly old, and for example, .env does not contain all of the same environment variables that my recent php app does (HOME, TMP dir aliases, etc.)
Comment 2 Jhon Honce 2013-05-28 17:21:47 EDT
In V1 this is a known issue.

In V2 pushing to git does "start" application.
Comment 3 Meng Bo 2013-05-29 06:47:39 EDT
According to comment#2,

Git push will trigger gear stop and gear start for v2 cartridge.
Idled app will be started after git push.

Move the bug to verified.


Total 2 (delta 1), reused 0 (delta 0)
remote: Stopping DIY cart
remote: CLIENT_RESULT: Application is already stopped
remote: Starting DIY cart
To ssh://51a5c7f15ec49a08dd000014@diy1-bmengdev.dev.rhcloud.com/~/git/diy1.git/
   f07509a..83fbfe8  master -> master

Note You need to log in before you can comment on or make changes to this bug.